import { OnChanges } from '@angular/core';
import { DomSanitizer, SafeHtml } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class UseCaseComponent implements OnChanges {
    private sanitizer;
    usage: string;
    activeTab: string;
    doc: string;
    demo: SafeHtml;
    tabs: {
        [type: string]: string;
    };
    constructor(sanitizer: DomSanitizer);
    ngOnChanges(): void;
    switchTabs(tab?: string): void;
    getTitle(doc: string): string;
    codeType(type: string): string;
    static ɵfac: i0.ɵɵFactoryDef<UseCaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<UseCaseComponent, "ad-use-case", never, { "usage": "usage"; }, {}, never, never>;
}
